Summary:	The GNU macro processor
Name:		m4
Version:	1.4.16
Release:	%mkrel 3
License:	GPLv3+
Group:		Development/Other
URL:		http://www.gnu.org/software/m4/
Source0:	ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.bz2.sig
Patch1:		m4-1.4.16-glibc-2.16.patch
BuildRequires:	libsigsegv-devel
Requires(post): info-install
Requires(preun): info-install

%description
A GNU implementation of the traditional UNIX macro processor.  M4 is
useful for writing text files which can be logically parsed, and is used
by many programs as part of their build process.  M4 has built-in
functions for including files, running shell commands, doing arithmetic,
etc.  The autoconf program needs m4 for generating configure scripts, but
not for running configure scripts.

m4 is most likely needed if you want to compile or develop software.

%prep

%setup -q
# (cjw) fix build with glibc 2.16, will be fixed in next m4 release
%patch1 -p1 -b .glibc-2_16

%build
export gl_cv_func_strtod_works=no 
%configure2_5x
%make

%check
%define Werror_cflags %nil
make check CFLAGS="%optflags"

%install
rm -rf %{buildroot}

%makeinstall_std infodir=%{_datadir}/info

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%doc NEWS README BACKLOG THANKS ChangeLog
%{_bindir}/%{name}
%{_infodir}/*
%{_mandir}/man1*/*




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.4.16-3.mga3
+ Revision: 359254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 cjw <cjw> 1.4.16-2.mga3
+ Revision: 325742
- patch1: fix build with glibc 2.16
- drop unneeded buildroot definition and clean section

* Wed Apr 13 2011 tv <tv> 1.4.16-1.mga2
+ Revision: 84521
- new release
- BuildRequires:  libsigsegv-devel

* Sat Jan 08 2011 blino <blino> 1.4.15-1.mga1
+ Revision: 382
- imported package m4

